# Torrent Mover

A automated torrent management system for handling completed downloads and seeding management.

## Features
- Automatic file organization by category (Movies, Games, Apps, Books)
- Seeding management based on ratio/time
- Archive extraction support (RAR, ZIP, 7z)
- Parallel processing
- Checksum verification
- Storage capacity monitoring

## Installation
```bash
sudo ./install.sh

Add a cron job to run it every 5 minutes:

sudo crontab -e
Add this line:

*/5 * * * * /usr/local/bin/torrent-mover >/dev/null 2>&1

torrent-mover [options]
Options:
  --dry-run       Simulate operations
  --interactive   Confirm before processing
  --cache-warmup  Pre-generate checksums

Before first run please check /etc/torrent/mover.conf
and correct any needed values there.


First run:
torrent-mover --cache-warmup

takes a loooong time since script is generating hash values for all files




Git Hosting
Repository URL: http://192.168.0.236:3000/masterdraco/torrent

Security
Configuration files stored in /etc/torrent

Processed logs in /var/log/torrent_*

Copy

3. **Repository Structure**:
```bash
.
├── etc
│   └── torrent
│       └── mover.conf
├── usr
│   └── local
│       └── bin
│           └── torrent-mover
├── install.sh
└── README.md

